Martin-Éric Racine blogged about the future Ubuntu, that is to compile with -m686. He pointed a bug that backed that up. This means that older processor than 686 or the compatible (e.g. Geode LX800) will not run.  According to the bug, Ubuntu envisioned that modern embedded hardware will likely use ARM (yeah, dragonfly rocks!) or Atom.